# statusChanged

abstract fun statusChanged(event: ProgressEvent)

Called when the execution of an operation progresses.

The possible progress event types are listed in OperationType's documentation.

You can find out more about the operation for which progress is reported by querying the descriptor using getDescriptor.

#### Parameters

event

An event describing the operation progress.

#### See also

ProgressEvent
OperationType